For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/v1/selphid/authenticate-facial/image/template

Authenticates two facial templates; the first one obtained from an image buffer.

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

A raw image and a facial template, used for authentication. It also supports extraData and personalDataInfo, for registration in Api Tracking.

image1stringRequired

Raw image buffer in .png, .jpg or .bmp format, base64-encoded.

Example: /9j/4AAQSkZJRgABAQEAtAC0AAD...
faceTemplate1stringRequired

Biometric template buffer, obtained through GetFacialTemplateRaw(), base64-encoded.

Example: BAEBAQHjF08R/Fbogyt7nysPd/K...
extraDatastringOptional

Tokenized data used to call the Api Tracking service after the operation, base64-encoded.

Example: BQABAQGkJhiCqQjKYUZyDM...
Responses
200

Result of the facial authentication.

application/json

The result of an authentication operation. extractionQuery and extractionTarget are only added if options:longDetail=true.

authStatusstring · enumOptional

Possible results of an authentication operation.

Example: PositivePossible values:
similaritynumberOptional

Similarity between two facial templates (0-None, 1-Identical).

Example: 0.994729161
validTimeStampbooleanOptional

In authentication, liveness and extraction operations that involve templateRaws, indicates whether the template's lifetime is valid. See "options:elapsedAllowedSeconds". In operations that do not involve raw templates, it is always true.

Example: true
tokenTimeStampstringOptional

The token's internal date and time value in "%Y-%m-%dT%H:%M:%SZ" format.

Example: 2022-01-14T10:42:05.521922Z
trackingStatusnumberOptional

Status returned by the Api Tracking service, or -1 if tracking is not required.

Example: 201
trackingMessagestringOptional

Message returned by the Api Tracking service, or empty if tracking is not required.

Example: EvaluatePassiveLivenesWithImageBuffer: Ok
sdkDurationnumberOptional

Duration of the operation in milliseconds.

Example: 1234
post/api/v1/selphid/authenticate-facial/image/template
POST /api/v1/selphid/authenticate-facial/image/template HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1037

{
  "image1": "/9j/4AAQSkZJRgABAQEAtAC0AAD...",
  "faceTemplate1": "BAEBAQHjF08R/Fbogyt7nysPd/K...",
  "extraData": "BQABAQGkJhiCqQjKYUZyDM...",
  "personalDataInfo": {
    "name": "John",
    "surname": "Williams",
    "nationality": "USA",
    "documentNumber": "XXX-0000-1111-FFF",
    "birthDate": "08-Feb-1932",
    "birthPlace": "Flushing, Nueva York, United States",
    "address": "21st, Roadmap Street",
    "city": "San Francisco",
    "issuer": "California X45-ROI-1065",
    "issueDate": "4-Jun-2018",
    "expiryDate": "4-Jun-2023",
    "fullName": "John Towner Williams",
    "gender": "Male",
    "nfcKey": "45-YUM-177856-FQNWK",
    "numSupport": "266593665453",
    "mrz": "P<UTOERIKSSON<<JOHN<WILLIAMS<<<<<<<<<<<<<<<<<<<45-YUM-177856-FQNWK-266593665453<<<<<10"
  },
  "options": {
    "longDetail": true,
    "elapsedAllowedSeconds": 3600,
    "futureAllowedSeconds": 3600,
    "facialDetection": "Frontal",
    "minFaceAbsPx": 35,
    "minFaceRel": 0.04,
    "minIodPx": 35,
    "maxPoseDegrees": 30,
    "minFacialQuality": "Good",
    "analyticsDetection": true,
    "templateRawExtraction": true,
    "falseDetectRate": 0.02,
    "maxCantidates": 5,
    "minSimilarity": 0.7,
    "authThreshold": 60,
    "livenessDepth": "Full"
  }
}
{
  "authStatus": "Positive",
  "similarity": 0.994729161,
  "validTimeStamp": true,
  "tokenTimeStamp": "2022-01-14T10:42:05.521922Z",
  "trackingStatus": 201,
  "trackingMessage": "EvaluatePassiveLivenesWithImageBuffer: Ok",
  "sdkDuration": 1234,
  "extractionQuery": {
    "facialTemplate": "BAEBGgEroySjGz2C9iIki35J/FA...",
    "facialTemplateRaw": "BAEBAQHjF08R/Fbogyt7nysPd/K...",
    "updatedTemplateRaw": true,
    "face": {
      "x": 546,
      "y": 224,
      "width": 200,
      "height": 300
    },
    "leftEye": {
      "x": 546,
      "y": 224
    },
    "rightEye": {
      "x": 546,
      "y": 224
    },
    "chin": {
      "x": 546,
      "y": 224
    },
    "nose": {
      "x": 546,
      "y": 224
    },
    "leftMouth": {
      "x": 546,
      "y": 224
    },
    "rightMouth": {
      "x": 546,
      "y": 224
    },
    "iod": 118,
    "yaw": 2.4,
    "pitch": -4.32,
    "roll": 0.7,
    "glasses": "Eye",
    "age": 45,
    "gender": "Male",
    "mask": 0.89,
    "faceConfidence": 0.99,
    "facialQuality": "Good",
    "validTimeStamp": true,
    "tokenTimeStamp": "2022-01-14T10:42:05.521922Z",
    "sdkDuration": 1234
  },
  "extractionTarget": {
    "facialTemplate": "BAEBGgEroySjGz2C9iIki35J/FA...",
    "facialTemplateRaw": "BAEBAQHjF08R/Fbogyt7nysPd/K...",
    "updatedTemplateRaw": true,
    "face": {
      "x": 546,
      "y": 224,
      "width": 200,
      "height": 300
    },
    "leftEye": {
      "x": 546,
      "y": 224
    },
    "rightEye": {
      "x": 546,
      "y": 224
    },
    "chin": {
      "x": 546,
      "y": 224
    },
    "nose": {
      "x": 546,
      "y": 224
    },
    "leftMouth": {
      "x": 546,
      "y": 224
    },
    "rightMouth": {
      "x": 546,
      "y": 224
    },
    "iod": 118,
    "yaw": 2.4,
    "pitch": -4.32,
    "roll": 0.7,
    "glasses": "Eye",
    "age": 45,
    "gender": "Male",
    "mask": 0.89,
    "faceConfidence": 0.99,
    "facialQuality": "Good",
    "validTimeStamp": true,
    "tokenTimeStamp": "2022-01-14T10:42:05.521922Z",
    "sdkDuration": 1234
  }
}

Last updated